searchNodes=[{"type":"module","title":"Elxvips","doc":"Documentation for Elxvips .","ref":"Elxvips.html"},{"type":"function","title":"Elxvips.avif/2","doc":"Will save the ImageFile in avif(AV1) format to a specified path. Accepts quality and strip options. By default quality is set to 100 Examples iex&gt; import Elxvips iex&gt; iex&gt; from_file ( &quot;/path/input.jpg&quot; ) iex&gt; |&gt; avif ( quality : 72 ) iex |&gt; to_file ( &quot;/path/output.avif&quot; ) { :ok , % ImageFile { } }","ref":"Elxvips.html#avif/2"},{"type":"function","title":"Elxvips.background/2","doc":"Sets the background of the image in case there is a transparent background. Accepts a empty list, or a list of length 2 or 3. Examples iex&gt; import Elxvips iex&gt; iex&gt; from_file ( &quot;test/input.png&quot; ) iex |&gt; jpg ( ) iex&gt; |&gt; background ( [ 255 , 0 , 0 ] ) # red background iex |&gt; to_file ( &quot;test/output.jpg&quot; ) { :ok , % ImageBytes { } }","ref":"Elxvips.html#background/2"},{"type":"function","title":"Elxvips.check_opts/1","doc":"","ref":"Elxvips.html#check_opts/1"},{"type":"function","title":"Elxvips.from_bytes/1","doc":"Will create an %ImageByte{} struct from bitstring or byte list. This struct will be used for further processing. Examples iex&gt; import Elxvips iex&gt; iex&gt; file = File . open! ( &quot;/path/input.png&quot; ) iex&gt; bytes = IO . binread ( file , :all ) iex&gt; from_bytes ( bytes ) % ImageBytes { }","ref":"Elxvips.html#from_bytes/1"},{"type":"function","title":"Elxvips.from_file/1","doc":"Will create an %ImageFile{} struct from path. This struct will be used for further processing. Examples iex&gt; import Elxvips iex&gt; iex&gt; from_file ( &quot;/path/input.png&quot; ) % ImageFile { }","ref":"Elxvips.html#from_file/1"},{"type":"function","title":"Elxvips.from_pdf/2","doc":"Will create an %ImageFile{} struct from a pdf path. This struct will be used for further processing. Accepts the following options: :page - page number to extract from pdf, default is 0 :n - number of pages to extract from pdf, default is 1 Examples iex&gt; import Elxvips iex&gt; iex&gt; from_pdf ( &quot;/path/input.pdf&quot; , page : 0 , n : 2 ) % ImageFile { }","ref":"Elxvips.html#from_pdf/2"},{"type":"function","title":"Elxvips.from_pdf_bytes/1","doc":"Will create an %ImageByte{} struct from pdf bitstring or byte list. This struct will be used for further processing. Accepts the following options: :page - page number to extract from pdf, default is 0 :n - number of pages to extract from pdf, default is 1 Examples iex&gt; import Elxvips iex&gt; iex&gt; file = File . open! ( &quot;/path/input.pdf&quot; ) iex&gt; bytes = IO . binread ( file , :all ) iex&gt; from_pdf_bytes ( bytes , page : 0 , n : 2 ) % ImageBytes { }","ref":"Elxvips.html#from_pdf_bytes/1"},{"type":"function","title":"Elxvips.from_pdf_bytes/2","doc":"","ref":"Elxvips.html#from_pdf_bytes/2"},{"type":"function","title":"Elxvips.get_image_format/1","doc":"Returns format of the specified image, works with a image path or bytes. Examples iex&gt; import Elxvips iex&gt; iex&gt; from_file ( &quot;test/input.png&quot; ) iex&gt; |&gt; get_image_format ( ) { :ok , :png }","ref":"Elxvips.html#get_image_format/1"},{"type":"function","title":"Elxvips.get_image_sizes/1","doc":"Returns dimensions of the specified image, works with a image path or bytes. Examples iex&gt; import Elxvips iex&gt; iex&gt; from_file ( &quot;test/input.png&quot; ) iex&gt; |&gt; get_image_sizes ( ) { :ok , [ 640 , 486 ] }","ref":"Elxvips.html#get_image_sizes/1"},{"type":"function","title":"Elxvips.jpg/2","doc":"Will save the ImageFile in jpeg format to a specified path. Accepts quality and strip options. By default quality is set to 90 and strip to true. Examples iex&gt; import Elxvips iex&gt; iex&gt; from_file ( &quot;/path/input.png&quot; ) iex&gt; |&gt; jpg ( strip : true , quality : 72 ) iex |&gt; to_file ( &quot;/path/output.jpg&quot; ) { :ok , % ImageFile { } }","ref":"Elxvips.html#jpg/2"},{"type":"function","title":"Elxvips.png/2","doc":"Will save the ImageFile in png format to a specified path. Accepts quality, compression(0-9) and strip options. By default quality is set to 100, compression to 6, strip to true. Decreasing compression will speed up image saving. Examples iex&gt; import Elxvips iex&gt; iex&gt; from_file ( &quot;/path/input.jpg&quot; ) iex&gt; |&gt; png ( strip : true , quality : 72 ) iex |&gt; to_file ( &quot;/path/output.png&quot; ) { :ok , % ImageFile { } }","ref":"Elxvips.html#png/2"},{"type":"function","title":"Elxvips.resize/2","doc":"Applies resize options to an %ImageFile{} or %ImageBytes{}, accepts :width, :height and :type (not implemented yet). If no width or height is specified dimensions are calculated from the input image. Empty resize( no :width and no :height) will produce an image with the dimensions as the original one. Examples iex&gt; import Elxvips iex&gt; iex&gt; from_file ( &quot;test/input.png&quot; ) iex&gt; |&gt; resize ( width : 300 ) iex |&gt; to_bytes ( ) { :ok , % ImageBytes { } }","ref":"Elxvips.html#resize/2"},{"type":"function","title":"Elxvips.set_concurrency/1","doc":"","ref":"Elxvips.html#set_concurrency/1"},{"type":"function","title":"Elxvips.to_bytes/1","doc":"Will create a new %ImageBytes{} struct containing all the changes. Examples iex&gt; import Elxvips iex&gt; iex&gt; from_file ( &quot;test/input.png&quot; ) iex&gt; |&gt; png ( ) iex&gt; |&gt; to_bytes ( ) { :ok , % ImageBytes { } }","ref":"Elxvips.html#to_bytes/1"},{"type":"function","title":"Elxvips.to_file/2","doc":"Will save the image to a path on disk and return a new %ImageFile{} from the new path. Examples iex&gt; import Elxvips iex&gt; iex&gt; from_file ( &quot;test/input.png&quot; ) iex&gt; |&gt; png ( ) iex&gt; |&gt; to_file ( &quot;test/outping.png&quot; ) { :ok , % ImageBytes { } }","ref":"Elxvips.html#to_file/2"},{"type":"function","title":"Elxvips.webp/2","doc":"Will save the ImageFile in webp format to a specified path. Accepts quality and strip options. By default quality is set to 100, and strip to true. Examples iex&gt; import Elxvips iex&gt; iex&gt; from_file ( &quot;/path/input.jpg&quot; ) iex&gt; |&gt; webp ( strip : true , quality : 72 ) iex |&gt; to_file ( &quot;/path/output.webp&quot; ) { :ok , % ImageFile { } }","ref":"Elxvips.html#webp/2"},{"type":"module","title":"Elxvips.ImageBytes","doc":"","ref":"Elxvips.ImageBytes.html"},{"type":"module","title":"Elxvips.ImageFile","doc":"","ref":"Elxvips.ImageFile.html"},{"type":"module","title":"Elxvips.Native","doc":"","ref":"Elxvips.Native.html"},{"type":"function","title":"Elxvips.Native.set_concurrency/1","doc":"","ref":"Elxvips.Native.html#set_concurrency/1"},{"type":"function","title":"Elxvips.Native.vips_get_image_bytes_format/1","doc":"","ref":"Elxvips.Native.html#vips_get_image_bytes_format/1"},{"type":"function","title":"Elxvips.Native.vips_get_image_bytes_sizes/1","doc":"","ref":"Elxvips.Native.html#vips_get_image_bytes_sizes/1"},{"type":"function","title":"Elxvips.Native.vips_get_image_file_format/1","doc":"","ref":"Elxvips.Native.html#vips_get_image_file_format/1"},{"type":"function","title":"Elxvips.Native.vips_get_image_sizes/1","doc":"","ref":"Elxvips.Native.html#vips_get_image_sizes/1"},{"type":"function","title":"Elxvips.Native.vips_process_bytes_to_bytes/1","doc":"","ref":"Elxvips.Native.html#vips_process_bytes_to_bytes/1"},{"type":"function","title":"Elxvips.Native.vips_process_bytes_to_file/1","doc":"","ref":"Elxvips.Native.html#vips_process_bytes_to_file/1"},{"type":"function","title":"Elxvips.Native.vips_process_file_to_bytes/1","doc":"","ref":"Elxvips.Native.html#vips_process_file_to_bytes/1"},{"type":"function","title":"Elxvips.Native.vips_process_file_to_file/1","doc":"","ref":"Elxvips.Native.html#vips_process_file_to_file/1"},{"type":"module","title":"Elxvips.ResizeOptions","doc":"","ref":"Elxvips.ResizeOptions.html"},{"type":"module","title":"Elxvips.SaveOptions","doc":"","ref":"Elxvips.SaveOptions.html"}]